const mongoose = require("mongoose");

const employeeSchema = new mongoose.Schema({
  fname: {
    type: String,
    maxlength: 128,
    trim: true,
  },
  lastname: {
    type: String,
    maxlength: 128,
    trim: true,
  },
  empid: {
    type: String,
    required: true,
    unique: true,
  },
  designation: {
    type: String,
    required: true,
  },
  dateofjoining: {
    type: String,
    required: true,
  },
  // userid (fkey of user)
  user_id: {
    type: mongoose.Schema.Types.ObjectId,
    ref: "User",
    required: true
  }
});

module.exports = mongoose.model("Employee", employeeSchema);
