const express = require('express');
const controller = require('../../controllers/emp.controller');
const {employee} = require('../../validations/emp.validation');
const { validate, ValidationError, Joi } = require('express-validation')
const router = express.Router();

router.route('/reg')
  .post(validate(employee), controller.empreg)
  .get( controller.empshow);

router.route('/emp/:id')
.post(validate(employee), controller.emppost)
.get(controller.empget)
.put(validate(employee), controller.empupdate)
.delete(controller.empdel)

module.exports = router;